import 'package:flutter/material.dart';
import 'package:tm_app/core/theme/colors.dart';
import 'package:tm_app/core/utils/size_config.dart';
import 'package:tm_app/views/request_successful/strings/request_successful_strings.dart';

import '../../shared/base_button.dart';

class RequestSuccessfulPage extends StatelessWidget {
  const RequestSuccessfulPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Column(
        children: [
          SizedBox(height: 124.0.h()),
          Container(
            width: 64.0.w(),
            height: 64.0.h(),
            decoration: BoxDecoration(
              color: AppColors.green30,
              shape: BoxShape.circle,
            ),
          ),
          Text(
            RequestSuccessfulStrings.requestSuccessfulTitle,
            style: TextStyle(
              fontSize: 22.0.sp(),
              fontWeight: FontWeight.w500,
              color: AppColors.grey80,
            ),
          ),
          SizedBox(height: 124.0.h()),
          BaseButton(
            text: RequestSuccessfulStrings.backToTendersButton,
            textColor: AppColors.white,
            borderColor: AppColors.mainBlue,
            isEnabled: true,
            onPressed: () {},
          ),
        ],
      ),
    );
  }
}
